Subject: Re: [RFC] mtn to git conversion script

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 24 Aug 2008 15:46:59 -0700

Felipe Contreras <[email-masked]> wrote:
> On Sun, Aug 24, 2008 at 4:14 PM, Miklos Vajna <[email-masked]> wrote:
> > On Sun, Aug 24, 2008 at 12:18:50PM +0300, Felipe Contreras <[email-masked]> wrote:
> >> What do you think? Does it makes sense to have a 'write-raw' command?
> >> Or should I somehow use 'fast-import'?
> >
> > Yes, you should. ;-)
> >
> > The syntax of it is not so hard, see for example 'git fast-export
> > HEAD~2..' on a git repo and you'll see.
> >
> > This should help a lot if you are like me, who likes to learn from
> > examples.
> 
> Is it possible to create a fast-import from the index? I realize this
> is not the best thing to do, but for now I would like to do that.

No, fast-import uses its own internal structure and avoids the
index file.

Also, look at `git-hash-objects -w` as a replacement for your
git-write-raw tool if you aren't going to use git-fast-import.

-- 
Shawn.